#include <iostream>
#include <cmath>

using namespace std;

int main()
{
	int MaxK = 0, DrugiMaxK = 0, DrugiMaxP = 0, n = 0, k = 0, j = 0, i = 0, tmp = 0;

	static long int BrKnjige[1000000]; 

	cin >> n;

	for (i = 0; i < n; i++)
	{
		cin >> BrKnjige[i];   
		if (MaxK < BrKnjige[i]) MaxK = BrKnjige[i];     
	}

	i = 0;	j = 0;
	while ((BrKnjige[i++] == MaxK) and (i < n)); i--;
	while ((j < n - i)) {
		if (BrKnjige[n - j] > DrugiMaxK) {
			DrugiMaxK = BrKnjige[n - j]; DrugiMaxP = j;
		}
		j++;
	} 
	if (n == 2) { tmp = BrKnjige[0]; BrKnjige[0] = BrKnjige[1]; BrKnjige[1] = tmp; }
	else { tmp = BrKnjige[n - DrugiMaxP - 0]; BrKnjige[n - DrugiMaxP - 0] = BrKnjige[i]; BrKnjige[i] = tmp; }

	for (i = 0; i < n; i++)
		cout << BrKnjige[i] << " ";
	return 0;
}